<?php

/**
 **  cas_auth/setup.php
 **
 **  Copyright (c) 2008 Eole (eole@ac-dijon.fr)
 **  Licensed under the GNU GPL. For full terms see the file COPYING.
 **
 **  Authentication through EolephpCAS
 **
 **/
include_once('CAS-1.3.1/eoleCAS.php');
include('configCAS/cas.inc.php');
include('config.php');
define('__CAS_URL', "");
global $eole_cas;
if (__CAS_DEBUG){
    EolephpCAS::setDebug('/var/log/posh/webshare-cas.log');
}

function init_proxy(){
global $eole_cas;
    $eole_cas = new EolephpCAS();
    $eole_cas->proxy(__CAS_VERSION, __CAS_SERVER, __CAS_PORT, __CAS_URL, false);
    if (method_exists($eole_cas, 'setNoCasServerValidation')){
        $eole_cas->setNoCasServerValidation();
    }
}
function auth(){
global $eole_cas;
    # Authentification de l'application web
    if (method_exists($eole_cas, 'setFixedServiceURL')){
        $orig_url = $_SERVER['SCRIPT_URI'];
        $url = str_replace('start.php', 'index.php', $orig_url);
        EolephpCAS::setFixedServiceURL($url);
    }
    $auth = EolephpCAS::isAuthenticated();
    if ( ! $auth )  {
        if ( ! __GATEWAY) $eole_cas->forceAuthentication();
        elseif (! isset($_GET['ticket'])) $eole_cas->checkAuthentication();
    }
    return $auth;
}
function set_pgt(){
global $eole_cas;
    # Récupère un PGT
    if( ! empty($_GET['ticket']) ||
        ! empty($_GET['pgtIou'])) {
        if( ! empty($_SESSION['PGT'])) {
            session_unset();
            $_GET['ticket']='';
        }
        if($eole_cas->hasPGT()) {
            ////$PGT=$CAS->getPGT();
            $PGT=$eole_cas->getPGT();
            $_SESSION['PGT']=$PGT;
        }
    }
}
function cas_auth_get_pt () {
global $eole_cas;
    session_start();
    init_proxy();
    $auth = auth();
    # Récupération du pt pour le service ftp
     if (method_exists($eole_cas, 'setFixedServiceURL')){
        EolephpCAS::setFixedServiceURL(__FTP_SERVICE);
    }
    ////$CAS = $GLOBALS['PHPCAS_CLIENT'];
    if ($auth) {
        set_pgt();
        // procedure to obtain or reobtain a PT
        if($eole_cas->hasPGT()) {
          $PT = $eole_cas->retrievePT(__FTP_SERVICE ,$err_code,$output);
          $_SESSION['PT']=$PT;
          $USER=$eole_cas->getUser();
          $CREDENTIAL=$_SESSION['PT'];
        }
        $_SESSION['username'] = $USER;
        $_SESSION['password'] = $CREDENTIAL;
        $_SESSION['pts'] = $CREDENTIAL;
        EolephpCAS::log('CAS complete : '.$USER.' '.$CREDENTIAL);

    if(empty($USER) ||
             empty($CREDENTIAL)) {
             session_unset();
             session_destroy();
             header('Location: index.php');
            }
    }
}
function cas_auth_logout () {
    session_unset();
    EolephpCAS::proxy(__CAS_VERSION, __CAS_SERVER, __CAS_PORT, __CAS_URL, false);
    if (method_exists(EolephpCAS, "setNoCasServerValidation")){
        EolephpCAS::setNoCasServerValidation();
    }
    EolephpCAS::logout(array('url'=>$_SERVER["SCRIPT_URI"]));
}
//place un nouveau ticket dans la session
//necessite l'appelle de EolephpCAS::proxy
function get_pt(){
global $eole_cas;
   if (method_exists($eole_cas, 'setFixedServiceURL')){
      EolephpCAS::setFixedServiceURL(__FTP_SERVICE);
   }

   ////$CAS = $GLOBALS['PHPCAS_CLIENT']; // cf CAS-1.0.1/CAS.php ligne195
   if($eole_cas->hasPGT()) {     // if there is a PGT
      $PT = $eole_cas->retrievePT(__FTP_SERVICE,$err_code,$output);             // on récupère un PT
      $_SESSION['PT']=$PT;
      $CREDENTIAL=$_SESSION['PT'];
      $_SESSION['pts'] = $CREDENTIAL;
   }
}
